Bug 51758 - eepro100 driver may set MAC address to FF:FF:FF:FF:FF
eepro100 driver may set MAC address to FF:FF:FF:FF:FF
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-14 16:12 EDT by Bryan Leopard
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-04 15:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-08-14 16:12:33 EDT
Under some conditions the eepro100 driver (v1.09j-t, rev 1.36) included 
with RedHat (Roswell) may complain that the EEPROM checksum is invalid and 
then set the MAC address to all F's.

The checksum is supposed to be BABA.

It appears to misbehave under the 2.4.7 and 2.4.6 kernels.
Comment 1 Arjan van de Ven 2001-08-15 13:23:59 EDT
During an investigation of the eepro100 driver in the last few days several
issues were found (and fixed) that could explain such behavior. These fixes will
be in a kernel with version tag 2.4.7-2.1 or later, and such a kernel can be
made available on short notice to Compaq for testing if desired.
Comment 2 Glen Foster 2001-08-15 15:56:35 EDT
This defect is considered MUST-FIX for Fairfax.
Comment 3 Arjan van de Ven 2001-08-27 07:21:17 EDT
Have you used the e100 driver before ? It writes to the eeprom and might
have left it in an invalid state
Comment 4 Bryan Leopard 2001-11-14 16:26:53 EST
Per info on the ia64 mailing list this was caused by some kernel bug. Have not 
experienced this failure since the 2.4.7 kernel.

Note You need to log in before you can comment on or make changes to this bug.